Package org.gradle.tooling.model.eclipse

## Interface EclipseJavaSourceSettings

-     public interface EclipseJavaSourceSettings

  Describes Eclipse Java source settings for compiling and running some Java source code.
  Since:
    2.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InstalledJdk` | `getJdk()` | Returns the JDK used for building.
    `JavaVersion` | `getSourceLanguageLevel()` | Returns the Java source language level.
    `JavaVersion` | `getTargetBytecodeVersion()` | Returns the target bytecode level.

- - ### Method Detail

    - #### getSourceLanguageLevel

          JavaVersion getSourceLanguageLevel()

      Returns the Java source language level.
      Returns:
        The source language level. Never returns `null`.

    - #### getTargetBytecodeVersion

          JavaVersion getTargetBytecodeVersion()
                                        throws UnsupportedMethodException

      Returns the target bytecode level.
      Returns:
        The target bytecode language version. Never returns `null`.
      Throws:
        `UnsupportedMethodException` - For Gradle versions older than 2.11, where this method is not supported.
      Since:
        2.11

    - #### getJdk

          InstalledJdk getJdk()
                       throws UnsupportedMethodException

      Returns the JDK used for building.
      Returns:
        The JDK. Never returns `null`.
      Throws:
        `UnsupportedMethodException` - For provider Gradle versions older than 2.11, where this method is not supported.
      Since:
        2.11